Subject: Re: [take5 0/4] kevent: Generic event handling mechanism.

From: Ulrich Drepper <[email-masked]>
Date: Tue, 08 Aug 2006 23:57:18 -0700

Evgeniy Polyakov wrote:
> Question with kevents removal from syscall stays open until Ulrich
> accepts or declines mapped buffer implementation.

It was my idea in the first place to use the ring buffer.  I'm sure
others had the same idea but that's what I presented.  So, I see no
reason you should delay making this change because of me.

The only important thing is that we need to get a useful semantics for
fork and exec.  For fork, it must be possible to "dequeue" entries from
the ring buffer in a thread-safe way.  For exec (where a file descriptor
might survive) we likely need a mechanism to mmap the ring buffer only
based on the file descriptor.  I'm not sure about this, though.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖